Skip to main content
POST
/
v1
/
passes
/
{id}
/
links
/
revoke
Revoke hosted pass links
curl --request POST \
  --url https://api.passlet.io/v1/passes/{id}/links/revoke \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.passlet.io/v1/passes/{id}/links/revoke"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.passlet.io/v1/passes/{id}/links/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "revokedAt": "2023-11-07T05:31:56Z",
  "revokedCount": 0
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

Passlet access token (plt_*) sent as Authorization: Bearer <token> or X-API-Key. Authorized scopes are listed per operation under x-required-scopes.

Path Parameters

id
string<uuid>
required

Pass identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

OK

id
string<uuid>
required

Pass identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
revokedAt
string<date-time>
required

ISO 8601 timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
revokedCount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991